image: debian:testing

stages:
- test
- deploy

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  PROJECT: $CI_PROJECT_NAME

before_script:
  - apt-get update -qq && apt-get install -qq -y make pandoc texlive-xetex
  - pandoc --version

pages:
  stage: deploy
  only:
  - master
  script:
  - make deploy
  artifacts:
    when: on_success
    paths:
    - public
